/*
 * generic callback functions for seemon2 
 * Time-stamp: <2005-01-12 15:13:54 dimm>
 * 2002.11.07 -
 */

#include <gtk/gtk.h>
#include "finder.h"

/* sample callback */
void callback( GtkWidget *widget,
               gpointer   data )
{
    g_print ("Hello again - %s was pressed\n", (gchar *) data);
}

/* quit gtk_main */
gint delete_event( GtkWidget *widget,
                   GdkEvent  *event,
                   gpointer   data )
{
  int ret;

  gtk_main_quit ();

  /* check fifo status. added v0.5 */
  //  if (pipe_fd != -1) {
  //    close_fifo();
  //    fifo_sw = 0;
  //  }
  /* clean up position file */
  mseemon.star_center[0].cx = -1;
  mseemon.star_center[0].cy = -1;
  write_finder_coords(); /* in socket_client.c */
  //  write_coord();
  mseemon.execflg = 0;
  //  mseemon.loopflg = 0;

}

/* open window */
void callback_open_window (GtkWidget *widget, gpointer data)
{
  /* debug
  g_print("%p\n", data);
  */
  gtk_widget_show((GtkWidget*)data);
}

/* hide window */
void callback_hide_window (GtkWidget *widget, gpointer data)
{
  gtk_widget_hide((GtkWidget*)data);
}

/* close window */
void callback_close_window(GtkWidget *widget, gpointer data)
{
  //  gtk_widget_destroy((GtkWidget*)data);
  gtk_widget_destroy(GTK_WIDGET(data));
}


/* preference panel */
void callback_open_setting(GtkWidget *widget) {
  GtkWidget *dialog_setup;  /* preferences */

  dialog_setup = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (dialog_setup), "Seemon2: Settings");
  gtk_container_set_border_width (GTK_CONTAINER (dialog_setup), 2);

  /* open the preference panel */
  init_setup_dialog(dialog_setup);

}

/* generic info modal dialog */
void mydialog(char *str) {
  GtkWidget *dialog;

  dialog = gtk_message_dialog_new(NULL, GTK_DIALOG_MODAL, 
				  GTK_MESSAGE_INFO, GTK_BUTTONS_OK, 
				  (gchar*)str);
  gtk_dialog_run(GTK_DIALOG(dialog));
  gtk_widget_destroy(dialog);
}
