/* functions related to
 * dome and environmental info
 * Time-stamp: <2004-11-23 16:01:58 dimm>
 */
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <gtk/gtk.h>
#include <string.h>
#include <fcntl.h>
#include <limits.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "finder.h"

/* callbacks for buttons */
void callback_dome_status(GtkWidget *widget, gpointer data) {
  domestatus = read_dome_status(); /* in socket_client.c */

  switch(domestatus) {
  case 1:
    mydialog("dome is closed.");
    break;
  case 2:
    mydialog("dome status unknown.");
    break;
  case 3:
    mydialog("dome is open.");
    break;
  default:
    mydialog("status check error.");
  }
}


void callback_dome_open(GtkWidget *widget, gpointer data) {
  //  int ret = dome_open_proc();
  dome_open(); /* in socket_client.c */
}

void callback_dome_close(GtkWidget *widget, gpointer data) {
  //  int ret = dome_close_proc();
  dome_close(); /* in socket_client.c */
}

